summaryrefslogtreecommitdiffstats
path: root/games/fbalpha/fbalpha.SlackBuild
diff options
context:
space:
mode:
author Hunter Sezen2017-12-20 21:32:14 +0100
committer Willy Sudiarto Raharjo2017-12-21 02:19:26 +0100
commit6f75fec3e1c6805ff91ed8a9488fff7c5cfd09a2 (patch)
treea060beea90753a2ec2362b782511c397b224a058 /games/fbalpha/fbalpha.SlackBuild
parent1ea2364b2988889b544c9d08fdf07f1125d72117 (diff)
downloadslackbuilds-6f75fec3e1c6805ff91ed8a9488fff7c5cfd09a2.tar.gz
games/fbalpha: Updated for version 2017.12.14_bab11d0.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/fbalpha/fbalpha.SlackBuild')
-rw-r--r--games/fbalpha/fbalpha.SlackBuild18
1 files changed, 11 insertions, 7 deletions
diff --git a/games/fbalpha/fbalpha.SlackBuild b/games/fbalpha/fbalpha.SlackBuild
index 5c738552bd..35918e8b76 100644
--- a/games/fbalpha/fbalpha.SlackBuild
+++ b/games/fbalpha/fbalpha.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for fbalpha
-# Copyright 2016 Hunter Sezen California, USA
+# Copyright 2016-2017 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=fbalpha
LIBNAM=${PRGNAM}_libretro
-VERSION=${VERSION:-2017.01.25_c4c9fb5}
+VERSION=${VERSION:-2017.12.14_bab11d0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,9 +57,9 @@ else
LIBDIRSUFFIX=""
fi
-DEBUG=${DEBUG:-0}
+RPI2=${RPI2:-0}
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -74,15 +74,19 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-RPI2=${RPI2:-no}
-if [ "RPI2" = "yes" ]; then PLATFORM="platform=rpi2"; else PLATFORM=""; fi
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+
+case "$RPI2" in
+ 1) PLATFORM='platform=rpi2' ;;
+ *) PLATFORM= ;;
+esac
make -f makefile.libretro DEBUG=$DEBUG $PLATFORM
install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
-if [ "$DEBUG" = "0" ]; then
+if [ $DEBUG = 0 ]; then
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi